Index: /trunk/src/reglookup-recover.c
===================================================================
--- /trunk/src/reglookup-recover.c	(revision 167)
+++ /trunk/src/reglookup-recover.c	(revision 168)
@@ -40,14 +40,14 @@
 
 
-char* getQuotedData(int fd, uint32 offset, uint32 length)
-{
-  uint8* buf;
+char* getQuotedData(int fd, uint32_t offset, uint32_t length)
+{
+  uint8_t* buf;
   char* quoted_buf;
-  uint32 len;
+  uint32_t len;
 
   if((lseek(fd, offset, SEEK_SET)) == -1)
     return NULL;
 
-  buf = (uint8*)malloc(length);
+  buf = (uint8_t*)malloc(length);
   if(buf == NULL)
     return NULL;
@@ -75,5 +75,5 @@
   char* quoted_raw = "";
 
-  *tmp_time = nt_time_to_unix(&nk->mtime);
+  *tmp_time = regfi_nt2unix_time(&nk->mtime);
   tmp_time_s = gmtime(tmp_time);
   strftime(mtime, sizeof(mtime), "%Y-%m-%d %H:%M:%S", tmp_time_s);
@@ -217,8 +217,8 @@
 
 
-int printCell(REGFI_FILE* f, uint32 offset)
+int printCell(REGFI_FILE* f, uint32_t offset)
 {
   char* quoted_buf;
-  uint32 cell_length;
+  uint32_t cell_length;
   bool unalloc;
 
@@ -249,6 +249,6 @@
   REGFI_NK_REC* cur_ancestor;
   char* ret_val;
-  uint32 virt_offset, i, stack_size, ret_val_size, ret_val_used, offset;
-  int32 max_size;
+  uint32_t virt_offset, i, stack_size, ret_val_size, ret_val_used, offset;
+  int32_t max_size;
   REGFI_BUFFER* path_element;
   
@@ -278,5 +278,5 @@
 	path_element = talloc(path_stack, REGFI_BUFFER);
 	if(path_element != NULL)
-	  path_element->buf = (uint8*)quote_string(cur_ancestor->keyname, 
+	  path_element->buf = (uint8_t*)quote_string(cur_ancestor->keyname, 
 						   key_special_chars);
 	  
@@ -343,7 +343,7 @@
 
 
-bool removeRange(range_list* rl, uint32 offset, uint32 length)
-{
-  int32 rm_idx;
+bool removeRange(range_list* rl, uint32_t offset, uint32_t length)
+{
+  int32_t rm_idx;
   const range_list_element* cur_elem;
 
@@ -405,5 +405,5 @@
   const range_list_element* cur_elem;
   REGFI_VK_REC* vk;
-  uint32 i, j;
+  uint32_t i, j;
 
   for(i=0; i < range_list_size(unalloc_cells); i++)
@@ -450,6 +450,6 @@
   range_list* bd_cells;
   REGFI_BUFFER data;
-  uint32 i, j, offset, cell_length, length;
-  int32 max_size;
+  uint32_t i, j, offset, cell_length, length;
+  int32_t max_size;
   bool unalloc;
 
@@ -583,5 +583,5 @@
   const range_list_element* cur_elem;
   REGFI_NK_REC* key;
-  uint32 i, j;
+  uint32_t i, j;
   int error_code = 0;
 
@@ -637,6 +637,6 @@
   REGFI_VK_REC* vk;
   const range_list_element* cur_elem;
-  uint32 i, j, num_keys, off, values_length;
-  int32 max_size;
+  uint32_t i, j, num_keys, off, values_length;
+  int32_t max_size;
 
   num_keys=range_list_size(unalloc_keys);
@@ -663,5 +663,5 @@
 	   * parsed structure.
 	   */
-	  values_length = (nk->values->num_values+1)*sizeof(uint32);
+	  values_length = (nk->values->num_values+1)*sizeof(uint32_t);
 	  if(values_length != (values_length & 0xFFFFFFF8))
 	    values_length = (values_length & 0xFFFFFFF8) + 8;
@@ -727,5 +727,5 @@
   const range_list_element* cur_elem;
   REGFI_SK_REC* sk;
-  uint32 i, j;
+  uint32_t i, j;
 
   for(i=0; i < range_list_size(unalloc_cells); i++)
@@ -778,5 +778,5 @@
   REGFI_NK_REC* tmp_key;
   REGFI_VK_REC* tmp_value;
-  uint32 argi, arge, i, j, ret, num_unalloc_keys;
+  uint32_t argi, arge, i, j, ret, num_unalloc_keys;
   
   /* Process command line arguments */
Index: /trunk/src/reglookup.c
===================================================================
--- /trunk/src/reglookup.c	(revision 167)
+++ /trunk/src/reglookup.c	(revision 168)
@@ -132,5 +132,5 @@
   char* next = NULL;
   char* copy;
-  uint32 ret_cur = 0;
+  uint32_t ret_cur = 0;
 
   ret_val = (char**)malloc((REGFI_MAX_DEPTH+1+1)*sizeof(char**));
@@ -179,5 +179,5 @@
 void freePath(char** path)
 {
-  uint32 i;
+  uint32_t i;
 
   if(path == NULL)
@@ -196,8 +196,8 @@
   const REGFI_ITER_POSITION* cur;
   const REGFI_NK_REC* tmp_key;
-  uint32 buf_left = 127;
-  uint32 buf_len = buf_left+1;
-  uint32 name_len = 0;
-  uint32 grow_amt;
+  uint32_t buf_left = 127;
+  uint32_t buf_len = buf_left+1;
+  uint32_t name_len = 0;
+  uint32_t grow_amt;
   char* buf;
   char* new_buf;
@@ -245,5 +245,5 @@
     if(name_len+1 > buf_left)
     {
-      grow_amt = (uint32)(buf_len/2);
+      grow_amt = (uint32_t)(buf_len/2);
       buf_len += name_len+1+grow_amt-buf_left;
       if((new_buf = realloc(buf, buf_len)) == NULL)
@@ -298,5 +298,5 @@
   REGFI_CLASSNAME* classname;
 
-  *tmp_time = nt_time_to_unix(&k->mtime);
+  *tmp_time = regfi_nt2unix_time(&k->mtime);
   tmp_time_s = gmtime(tmp_time);
   strftime(mtime, sizeof(mtime), "%Y-%m-%d %H:%M:%S", tmp_time_s);
@@ -454,5 +454,5 @@
   char* tmp_path_joined;
   const char** tmp_path;
-  uint32 i;
+  uint32_t i;
   
   if(path == NULL)
@@ -557,5 +557,5 @@
   REGFI_ITERATOR* iter;
   int retr_path_ret;
-  uint32 argi, arge;
+  uint32_t argi, arge;
 
   /* Process command line arguments */
